ppwproject2/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('status_page.urls')),
]

status_page/urls.py
from django.urls import path
from . import views

app_name = 'status_page'

urlpatterns = [
    path('', views.status, name='status'),
]

status_page/models.py
from django.db import models

# Create your models here.
class Status(models.Model):
    status = models.TextField(max_length=300)
    time = models.DateTimeField(auto_now_add=True)

    def __str__(self):
        return self.status

status_page/forms.py
from django import forms
from .models import Status

class StatusForm(forms.ModelForm):
    class Meta:
        model = Status
        fields = {
            'status'
        }
        widgets = {
            'status' : forms.Textarea( attrs={
                        'placeholder': 'Status saya saat ini',
                        'class': 'form form-control',
                        })
        }

status_page/views.py
from django.shortcuts import render
from .forms import StatusForm
from .models import Status

# Create your views here.

def status(request):
    if request.method == "POST":
        form = StatusForm(request.POST)
        if form.is_valid:
            form.save()
    form = StatusForm()
    all_status = Status.objects.all()
    arguments = {
        'form': form,
        'all_status': all_status,
    }
    return render(request, 'status_page.html', arguments) 

status_page/templates/status_page.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <style>
        body{
            text-align: center;
            background-color:#FFFCF9;
        }

        h1{
            font-size: 3rem;
            color: #5F9595;
            margin: 2.4rem;
        }

        h1:hover{   
            color: #4F7777;
        }
        
        .btn-primary{
            color: black;
            background-color: #FFD986;
            border-color: #FFD986;
            margin: 2rem;
        }

        .btn-primary:hover{
            color: black;
            background-color: #FFD362;
            border-color: #FFD362;
        }

        .btn-primary:not(:disabled):not(.disabled):active, .btn-primary:not(:disabled):not(.disabled).active,
        .show > .btn-primary.dropdown-toggle {
            color: #fff;
            background-color: #5F9595;
            border-color: #5F9595;
        }

        .table-size{
            margin-top: 1.5rem;
        }

        thead{
            background-color: #C4D7D1;;
        }

        tbody{
            background-color: #EDF3F1;
        }
    </style>
    <title>Status Lika</title>
</head>

<body>
    <div class="container">
        <div class="col-md-12 col-sm-12">
            <h1>Halo, apa kabar?</h1>
        </div>
    </div>
    
    <div class="container">
        <div class="col-md-12 col-sm-12">
            <form method="POST" action="{% url 'status_page:status' %}">
                {% csrf_token %}
                {{ form.status }}
                <button type="submit" class="btn btn-primary" id="submit-button">Tambahkan</button>
            </form>
        </div>    
    </div>
    
    <div class="container table-size">
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>Status</th>
                    <th>Tanggal dan Waktu</th>
                </tr>
            </thead>

            <tbody>
                {% for s in all_status %}
                    <tr>
                        <td>{{ s.status }}</td>
                        <td>{{ s.time }}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    
</body>
</html>